import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import useFormApi from "@data-driven-forms/react-form-renderer/use-form-api";
import { H3 } from "@blueprintjs/core/lib/esm/components/html/html.js";
import { H4 } from "@blueprintjs/core/lib/esm/components/html/html.js";
import propsCatcher from '../props-catcher/props-catcher';

var SubForm = function SubForm(_ref) {
  var title = _ref.title,
      description = _ref.description,
      fields = _ref.fields,
      props = _objectWithoutProperties(_ref, ["title", "description", "fields"]);

  var formOptions = useFormApi();
  return /*#__PURE__*/React.createElement("div", propsCatcher(props), title && /*#__PURE__*/React.createElement(H3, null, title), description && /*#__PURE__*/React.createElement(H4, null, description), formOptions.renderForm(fields, formOptions));
};

SubForm.propTypes = {
  title: PropTypes.node,
  description: PropTypes.node,
  fields: PropTypes.array
};
export default SubForm;